Package org.eclipse.debug.core.model

# Interface IDebugModelProvider

public interface IDebugModelProvider
A debug model provider provides debug model identifiers. This interface is used as an adapter to determine what debug models are associated with an adaptable object. Generally, when debugging one language, only one debug model is associated with a debug element. However, a debug model that provides cross language debugging may represent several debug models.

Clients are intended to implement this interface.

Since:
  3.0

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getModelIdentifiers()`
Returns a collection of debug model identifiers.

## Method Details

### getModelIdentifiers

String[] getModelIdentifiers()
Returns a collection of debug model identifiers.

Returns:
  a collection of debug model identifiers